aws-0.24.4: Amazon Web Services (AWS) for Haskell

Copyright | Soostone Inc
License | BSD3
Maintainer | Justin Dawson <jtdawso@gmail.com>
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Aws.DynamoDb.Commands.BatchWriteItem

Description

    http://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_BatchWriteItem.html

Synopsis

- data Request
  - = PutRequest {
    - prItem :: Item
    }
  - | DeleteRequest {
    - drKey :: PrimaryKey
    }
- data BatchWriteItem = BatchWriteItem {
  - bwRequests :: [(Text, [Request])]
  - bwRetCons :: ReturnConsumption
  - bwRetMet :: ReturnItemCollectionMetrics
  }
- toBatchWrite :: [PutItem] -> [DeleteItem] -> BatchWriteItem
- batchWriteItem :: [(Text, [Request])] -> BatchWriteItem
- data BatchWriteItemResponse = BatchWriteItemResponse {
  - bwUnprocessed :: [(Text, [Request])]
  - bwConsumed :: Maybe ConsumedCapacity
  - bwColMet :: Maybe ItemCollectionMetrics
  }

# Documentation

data Request #

Constructors

PutRequest |

Fields

- prItem :: Item

DeleteRequest |

Fields

- drKey :: PrimaryKey

#### Instances

Instances details

FromJSON Request # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods parseJSON :: Value -> Parser Request # parseJSONList :: Value -> Parser [Request] # omittedField :: Maybe Request #
ToJSON Request # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods toJSON :: Request -> Value # toEncoding :: Request -> Encoding # toJSONList :: [Request] -> Value # toEncodingList :: [Request] -> Encoding # omitField :: Request -> Bool #
Read Request # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods readsPrec :: Int -> ReadS Request # readList :: ReadS [Request] # readPrec :: ReadPrec Request # readListPrec :: ReadPrec [Request] #
Show Request # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods showsPrec :: Int -> Request -> ShowS # show :: Request -> String # showList :: [Request] -> ShowS #
Eq Request # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods (==) :: Request -> Request -> Bool # (/=) :: Request -> Request -> Bool #
Ord Request # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods compare :: Request -> Request -> Ordering # (<) :: Request -> Request -> Bool # (<=) :: Request -> Request -> Bool # (>) :: Request -> Request -> Bool # (>=) :: Request -> Request -> Bool # max :: Request -> Request -> Request # min :: Request -> Request -> Request #

data BatchWriteItem #

Constructors

BatchWriteItem |

Fields

- bwRequests :: [(Text, [Request])]

  Put or Delete Requests for a specified table

- bwRetCons :: ReturnConsumption
- bwRetMet :: ReturnItemCollectionMetrics

#### Instances

Instances details

ToJSON BatchWriteItem # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods toJSON :: BatchWriteItem -> Value # toEncoding :: BatchWriteItem -> Encoding # toJSONList :: [BatchWriteItem] -> Value # toEncodingList :: [BatchWriteItem] -> Encoding # omitField :: BatchWriteItem -> Bool #
SignQuery BatchWriteItem # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchWriteItem

Associated Types

type ServiceConfiguration BatchWriteItem |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type ServiceConfiguration BatchWriteItem = DdbConfiguration

Methods

signQuery :: BatchWriteItem -> ServiceConfiguration BatchWriteItem queryType -> SignatureData -> SignedQuery #

Read BatchWriteItem # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods readsPrec :: Int -> ReadS BatchWriteItem # readList :: ReadS [BatchWriteItem] # readPrec :: ReadPrec BatchWriteItem # readListPrec :: ReadPrec [BatchWriteItem] #
Show BatchWriteItem # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods showsPrec :: Int -> BatchWriteItem -> ShowS # show :: BatchWriteItem -> String # showList :: [BatchWriteItem] -> ShowS #
Eq BatchWriteItem # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods (==) :: BatchWriteItem -> BatchWriteItem -> Bool # (/=) :: BatchWriteItem -> BatchWriteItem -> Bool #
Ord BatchWriteItem # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchWriteItem

Methods

compare :: BatchWriteItem -> BatchWriteItem -> Ordering #

(<) :: BatchWriteItem -> BatchWriteItem -> Bool #

(<=) :: BatchWriteItem -> BatchWriteItem -> Bool #

(>) :: BatchWriteItem -> BatchWriteItem -> Bool #

(>=) :: BatchWriteItem -> BatchWriteItem -> Bool #

max :: BatchWriteItem -> BatchWriteItem -> BatchWriteItem #

min :: BatchWriteItem -> BatchWriteItem -> BatchWriteItem #

Transaction BatchWriteItem BatchWriteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem
type ServiceConfiguration BatchWriteItem # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type ServiceConfiguration BatchWriteItem = DdbConfiguration

toBatchWrite :: [PutItem] -> [DeleteItem] -> BatchWriteItem #

batchWriteItem :: [(Text, [Request])] -> BatchWriteItem #

Construct a BatchWriteItem

data BatchWriteItemResponse #

Constructors

BatchWriteItemResponse |

Fields

- bwUnprocessed :: [(Text, [Request])]

  Unprocessed Requests on failure

- bwConsumed :: Maybe ConsumedCapacity

  Amount of capacity consumed

- bwColMet :: Maybe ItemCollectionMetrics

  Collection metrics for tables affected by BatchWriteItem.

#### Instances

Instances details

FromJSON BatchWriteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods parseJSON :: Value -> Parser BatchWriteItemResponse # parseJSONList :: Value -> Parser [BatchWriteItemResponse] # omittedField :: Maybe BatchWriteItemResponse #
AsMemoryResponse BatchWriteItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchWriteItem

Associated Types

type MemoryResponse BatchWriteItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type MemoryResponse BatchWriteItemResponse = BatchWriteItemResponse

Methods

loadToMemory :: BatchWriteItemResponse -> ResourceT IO (MemoryResponse BatchWriteItemResponse) #

Read BatchWriteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods readsPrec :: Int -> ReadS BatchWriteItemResponse # readList :: ReadS [BatchWriteItemResponse] # readPrec :: ReadPrec BatchWriteItemResponse # readListPrec :: ReadPrec [BatchWriteItemResponse] #
Show BatchWriteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods showsPrec :: Int -> BatchWriteItemResponse -> ShowS # show :: BatchWriteItemResponse -> String # showList :: [BatchWriteItemResponse] -> ShowS #
Eq BatchWriteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem Methods (==) :: BatchWriteItemResponse -> BatchWriteItemResponse -> Bool # (/=) :: BatchWriteItemResponse -> BatchWriteItemResponse -> Bool #
Ord BatchWriteItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchWriteItem

Methods

compare :: BatchWriteItemResponse -> BatchWriteItemResponse -> Ordering #

(<) :: BatchWriteItemResponse -> BatchWriteItemResponse -> Bool #

(<=) :: BatchWriteItemResponse -> BatchWriteItemResponse -> Bool #

(>) :: BatchWriteItemResponse -> BatchWriteItemResponse -> Bool #

(>=) :: BatchWriteItemResponse -> BatchWriteItemResponse -> Bool #

max :: BatchWriteItemResponse -> BatchWriteItemResponse -> BatchWriteItemResponse #

min :: BatchWriteItemResponse -> BatchWriteItemResponse -> BatchWriteItemResponse #

ResponseConsumer r BatchWriteItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchWriteItem

Associated Types

type ResponseMetadata BatchWriteItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type ResponseMetadata BatchWriteItemResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata BatchWriteItemResponse) -> HTTPResponseConsumer BatchWriteItemResponse #

Transaction BatchWriteItem BatchWriteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem
type MemoryResponse BatchWriteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type MemoryResponse BatchWriteItemResponse = BatchWriteItemResponse
type ResponseMetadata BatchWriteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type ResponseMetadata BatchWriteItemResponse = DdbResponse